std::__fwdlist::_Node< _ValPtr >(3cxx)

NAME
std::__fwdlist::_Node< _ValPtr > - A helper node class for forward_list.

SYNOPSIS

#include <forward_list>

Inherits std::__fwdlist::_Node_base< __ptr_rebind< _ValPtr, void > >.

  Public Types

using _Base_ptr
using _Node_ptr
using value_type

  Public Member Functions

_Node (_Node &&)=delete
_Base_ptr _M_base_ptr () const
_Node_ptr _M_node_ptr ()
void _M_reverse_after () noexcept
_Base_ptr _M_transfer_after (_Base_ptr __begin, _Base_ptr __end) noexcept
const value_type * _M_valptr () const noexcept
value_type * _M_valptr () noexcept

  Public Attributes

_Base_ptr _M_next
_Uninit_storage _M_u

Detailed Description

  template<typename _ValPtr>
struct std::__fwdlist::_Node< _ValPtr >"A helper node class for forward_list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.